#!/bin/bash

echo "Content-type: text/html"
echo ""

date_now=$(TZ='Asia/Beirut' date +'%b %d, %Y at %H:%M')

if [[ $(cat state.txt) = "ON" ]]
then
	echo "OFF" > state.txt
	cat off.html | sed "s/date-n-time-placeholder/$date_now/" > /usr/local/apache2/htdocs/index.html
	./telegram "✅ The generator is OFF!"
    echo "OFF,$(TZ='Asia/Beirut' date +'%Y/%m/%d %H:%M')" >> light_cuts.csv
else
	echo "ON" > state.txt
	cat on.html | sed "s/date-n-time-placeholder/$date_now/" > /usr/local/apache2/htdocs/index.html
	./telegram "❌ The generator is on. :("
    echo "ON,$(TZ='Asia/Beirut' date +'%Y/%m/%d %H:%M')" >> light_cuts.csv
fi

echo '<html><body>DONE</body></html>'

exit 0
